Updates firmware version to be activated or deactivated
curl --request PUT \
--url https://cloud.bytebeam.io/api/v1/firmwares/{version-number} \
--header 'Content-Type: application/json' \
--header 'x-bytebeam-api-key: <api-key>' \
--header 'x-bytebeam-tenant: <api-key>' \
--data '
{
"is_deactivated": true,
"uncompressed_size": 123,
"dependencies": [
{
"component_name": "<string>",
"min_version": "<string>"
}
]
}
'import requests
url = "https://cloud.bytebeam.io/api/v1/firmwares/{version-number}"
payload = {
"is_deactivated": True,
"uncompressed_size": 123,
"dependencies": [
{
"component_name": "<string>",
"min_version": "<string>"
}
]
}
headers = {
"x-bytebeam-api-key": "<api-key>",
"x-bytebeam-tenant": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-bytebeam-api-key': '<api-key>',
'x-bytebeam-tenant': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
is_deactivated: true,
uncompressed_size: 123,
dependencies: [{component_name: '<string>', min_version: '<string>'}]
})
};
fetch('https://cloud.bytebeam.io/api/v1/firmwares/{version-number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.devices
Updates firmware version to be activated or deactivated
PUT
/
api
/
v1
/
firmwares
/
{version-number}
Updates firmware version to be activated or deactivated
Authorizations
API key required to authenticate requests.
Tenant(Project) name required to identify the project.
Path Parameters
Body
application/jsonapplication/transit+msgpackapplication/transit+jsonapplication/edn
Response
default - undefined
⌘I